// src/components/Checkbox/index.tsx
import { jsx, jsxs } from "react/jsx-runtime";
function Checkbox({
  name,
  onChange,
  label,
  checked = false,
  disabled = false,
  parentClassName,
  labelClassName,
  inputClassName
}) {
  return /* @__PURE__ */ jsxs("label", { className: parentClassName, children: [
    /* @__PURE__ */ jsx(
      "input",
      {
        className: inputClassName,
        type: "checkbox",
        id: name,
        name,
        checked,
        onChange,
        disabled
      }
    ),
    label ? /* @__PURE__ */ jsx("label", { className: labelClassName, htmlFor: name, children: label }) : null
  ] });
}
export {
  Checkbox as default
};
